﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Input;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfChartWithXAML
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        
        private void chart1_PointerReleased(object sender, PointerRoutedEventArgs e)
        {
            SfChart SER = sender as SfChart;
           Point pt = e.GetCurrentPoint(SER.Series[0]).Position;
           var YPoint = (SER.PointToValue(SER.SecondaryAxis, pt));
           var XPoint = (SER.PointToValue(SER.PrimaryAxis, pt)).FromOADate();

           double x = 0, y = 0, z = 0;
           SER.Series[0].FindNearestChartPoint(pt, out x, out y, out z);
           var nearestData = x.FromOADate();
        }

       
    }
    public class LineChartViewModel
    {
        public LineChartViewModel()
        {
            this.power = new ObservableCollection<power>();
            DateTime yr = new DateTime(2002, 5, 1);
            power.Add(new power() { ID = 0, Year = yr.AddHours(0), ind = 28, ger = 31, uk = 36, fra = 39 });
            power.Add(new power() { ID = 1, Year = yr.AddHours(1), ind = 24, ger = 28, uk = 32, fra = 36 });
            power.Add(new power() { ID = 2, Year = yr.AddHours(2), ind = 26, ger = 30, uk = 34, fra = 40 });
            power.Add(new power() { ID = 3, Year = yr.AddHours(3), ind = 27, ger = 36, uk = double.NaN, fra = 44 });
            power.Add(new power() { ID = 4, Year = yr.AddHours(4), ind = 32, ger = 36, uk = 42, fra = 78 });
            power.Add(new power() { ID = 5, Year = yr.AddHours(5), ind = 35, ger = 39, uk = 42, fra = 48 });
            power.Add(new power() { ID = 6, Year = yr.AddHours(6), ind = 30, ger = 37, uk = 43, fra = 46 });

        }

        public ObservableCollection<power> power
        {
            get;
            set;
        }

    }

    public class power
    {
        public DateTime Year { get; set; }
        public string custom { get; set; }
        public int ID { get; set; }
        public double ind { get; set; }
        public double ger { get; set; }
        public double uk { get; set; }
        public double fra { get; set; }

    }
}
